org.apache.ignite.internal.visor.node

## Class VisorBasicConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorBasicConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorBasicConfiguration
    extends Object
    implements Serializable

Data transfer object for node basic configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorBasicConfiguration()`

### Method Summary

Methods
`boolean` `daemon()`
`void` `daemon(boolean daemon)`
`Object` `deploymentMode()`
`void` `deploymentMode(Object deployMode)`
`long` `discoStartupDelay()`
`void` `discoStartupDelay(long discoStartupDelay)`
`static VisorBasicConfiguration` `from(IgniteEx ignite, IgniteConfiguration c)`
`String` `ggHome()`
`void` `ggHome(String ggHome)`
`String` `gridName()`
`void` `gridName(String gridName)`
`boolean` `jmxRemote()`
`void` `jmxRemote(boolean jmxRemote)`
`String` `localHost()`
`void` `localHost(String locHost)`
`String` `logger()`
`void` `logger(String log)`
`String` `marshaller()`
`void` `marshaller(String marsh)`
`String` `mBeanServer()`
`void` `mBeanServer(String mBeanSrv)`
`long` `networkTimeout()`
`void` `networkTimeout(long netTimeout)`
`boolean` `noAscii()`
`void` `noAscii(boolean noAscii)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`boolean` `noDiscoOrder()`
`void` `noDiscoOrder(boolean noDiscoOrder)`
`boolean` `noShutdownHook()`
`void` `noShutdownHook(boolean noShutdownHook)`
`String` `programName()`
`void` `programName(String progName)`
`boolean` `quiet()`
`void` `quiet(boolean quiet)`
`boolean` `restart()`
`void` `restart(boolean restart)`
`String` `securityCredentialsProvider()`
`void` `securityCredentialsProvider(String securityCred)`
`String` `successFile()`
`void` `successFile(String successFile)`
`String` `toString()`
`boolean` `updateNotifier()`
`void` `updateNotifier(boolean updateNtf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBasicConfiguration

    public VisorBasicConfiguration()

### Method Detail

#### from

    public static VisorBasicConfiguration from(IgniteEx ignite,
                               IgniteConfiguration c)

Parameters:
  `ignite` - Grid.
  `c` - Grid configuration.
Returns:
  Data transfer object for node basic configuration properties.

#### gridName

    @Nullable
    public String gridName()

Returns:
  Grid name.

#### gridName

    public void gridName(@Nullable
                String gridName)

Parameters:
  `gridName` - New grid name.

#### ggHome

    @Nullable
    public String ggHome()

Returns:
  IGNITE_HOME determined at startup.

#### ggHome

    public void ggHome(@Nullable
              String ggHome)

Parameters:
  `ggHome` - New IGNITE_HOME determined at startup.

#### localHost

    @Nullable
    public String localHost()

Returns:
  Local host value used.

#### localHost

    public void localHost(@Nullable
                 String locHost)

Parameters:
  `locHost` - New local host value used.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### nodeId

    public void nodeId(UUID nodeId)

Parameters:
  `nodeId` - New node id.

#### marshaller

    public String marshaller()

Returns:
  Marshaller used.

#### marshaller

    public void marshaller(String marsh)

Parameters:
  `marsh` - New marshaller used.

#### deploymentMode

    public Object deploymentMode()

Returns:
  Deployment Mode.

#### deploymentMode

    public void deploymentMode(Object deployMode)

Parameters:
  `deployMode` - New Deployment Mode.

#### daemon

    public boolean daemon()

Returns:
  Whether this node daemon or not.

#### daemon

    public void daemon(boolean daemon)

Parameters:
  `daemon` - New whether this node daemon or not.

#### jmxRemote

    public boolean jmxRemote()

Returns:
  Whether remote JMX is enabled.

#### jmxRemote

    public void jmxRemote(boolean jmxRemote)

Parameters:
  `jmxRemote` - New whether remote JMX is enabled.

#### restart

    public boolean restart()

Returns:
  Is node restart enabled.

#### restart

    public void restart(boolean restart)

Parameters:
  `restart` - New is node restart enabled.

#### networkTimeout

    public long networkTimeout()

Returns:
  Network timeout.

#### networkTimeout

    public void networkTimeout(long netTimeout)

Parameters:
  `netTimeout` - New network timeout.

#### logger

    public String logger()

Returns:
  Logger used on node.

#### logger

    public void logger(String log)

Parameters:
  `log` - New logger used on node.

#### discoStartupDelay

    public long discoStartupDelay()

Returns:
  Discovery startup delay.

#### discoStartupDelay

    public void discoStartupDelay(long discoStartupDelay)

Parameters:
  `discoStartupDelay` - New discovery startup delay.

#### mBeanServer

    @Nullable
    public String mBeanServer()

Returns:
  MBean server name

#### mBeanServer

    public void mBeanServer(@Nullable
                   String mBeanSrv)

Parameters:
  `mBeanSrv` - New mBean server name

#### noAscii

    public boolean noAscii()

Returns:
  Whether ASCII logo is disabled.

#### noAscii

    public void noAscii(boolean noAscii)

Parameters:
  `noAscii` - New whether ASCII logo is disabled.

#### noDiscoOrder

    public boolean noDiscoOrder()

Returns:
  Whether no discovery order is allowed.

#### noDiscoOrder

    public void noDiscoOrder(boolean noDiscoOrder)

Parameters:
  `noDiscoOrder` - New whether no discovery order is allowed.

#### noShutdownHook

    public boolean noShutdownHook()

Returns:
  Whether shutdown hook is disabled.

#### noShutdownHook

    public void noShutdownHook(boolean noShutdownHook)

Parameters:
  `noShutdownHook` - New whether shutdown hook is disabled.

#### programName

    public String programName()

Returns:
  Name of command line program.

#### programName

    public void programName(String progName)

Parameters:
  `progName` - New name of command line program.

#### quiet

    public boolean quiet()

Returns:
  Whether node is in quiet mode.

#### quiet

    public void quiet(boolean quiet)

Parameters:
  `quiet` - New whether node is in quiet mode.

#### successFile

    public String successFile()

Returns:
  Success file name.

#### successFile

    public void successFile(String successFile)

Parameters:
  `successFile` - New success file name.

#### updateNotifier

    public boolean updateNotifier()

Returns:
  Whether update checker is enabled.

#### updateNotifier

    public void updateNotifier(boolean updateNtf)

Parameters:
  `updateNtf` - New whether update checker is enabled.

#### securityCredentialsProvider

    @Nullable
    public String securityCredentialsProvider()

Returns:
  Security credentials.

#### securityCredentialsProvider

    public void securityCredentialsProvider(@Nullable
                                   String securityCred)

Parameters:
  `securityCred` - New security credentials.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015